Skip to main content
POST
/
objects
/
bulk
Bulk upload objects
curl --request POST \
  --url https://api.fivemesh.io/v1/objects/bulk \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "files": [
    null
  ],
  "payload": {}
}
'
import requests

url = "https://api.fivemesh.io/v1/objects/bulk"

payload = {
"files": [None],
"payload": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({files: [null], payload: {}})
};

fetch('https://api.fivemesh.io/v1/objects/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Upload multiple files in one multipart request. Each file is validated and uploaded independently, so one failed file does not stop the rest of the batch. Requires cdn:write.
Idempotency-Key
string
Optional key used to replay the same successful bulk response after a retry.
files
file[]
required
One or more file fields. Repeated files fields are exposed as files[0], files[1] and so on in the payload.
payload
object
required
JSON object with an items array. Each item includes fieldName, and may include path, filename and metadata.
curl -X POST "https://api.fivemesh.io/v1/objects/bulk" \
  -H "Authorization: Bearer $FIVEMESH_API_KEY" \
  -H "Idempotency-Key: media-batch-001" \
  -F "files=@a.png" \
  -F "files=@b.png" \
  -F 'payload={"items":[
    {"fieldName":"files[0]","path":"screenshots","filename":"a.png"},
    {"fieldName":"files[1]","path":"screenshots","filename":"b.png"}
  ]}'
{
  "success": true,
  "results": [
    {
      "success": true,
      "fieldName": "files[0]",
      "key": "screenshots/a.png",
      "size": 12345,
      "publicUrl": "https://cdn.fivemesh.io/acme/screenshots/a.png"
    },
    {
      "success": false,
      "fieldName": "files[1]",
      "error": "PATH_NOT_ALLOWED"
    }
  ],
  "requestId": "req_..."
}